

"""
Evalulate COSMO-GHG clouds with DWD observations in Berlin

Berlin stations:
    - Berlin-Dahlem (id: 403)
    - Berlin-Schonefeld (id: 427)
    - Berlin-Tegel (id: 430)

data downloaded here:
    ftp://ftp-cdc.dwd.de/pub/CDC/observations_germany/climate/hourly/cloudiness/historical/
"""

from datetime import datetime
from . import misc

ID2LOCATION = {
    403: (13.3017, 52.4537),
    427: (13.5306, 52.3807),
    430: (13.3088, 52.5644), # lon, lat
}


def read_dwd_obs(filename):
    pass


def extract_cosmo_ts(id_, path='.', area=1):
    """
    Extract time series of total cloud fraciton (CLCT) from COSMO output.
    """

    lon_o, lat_o = ID2LOCATION[id_]
    start = datetime(2015,1,1)
    end = datetime(2015,12,21)

    for time in misc.iter_times(start, end):
        if time == start:
            i,j = misc.nearest_index(lon_o, lat_o, lon, lat)


        # area of 3x3 grid cells (~3x3 km2)
        v = np.mean(cc[:,i-1:i+2,j-1:j+2])


def plot_time_series():
    """
    Time series of obs vs model.
    """
    pass


def plot_scatter():
    """
    Scatter obs vs model
    """
    pass


def plot_stats():
    """
    Statistics: frequency of cloudiness per month.
    """
    pass


